Just installed newest version, still says it's too old

Everything related to MakeMKV
Tatch
Posts: 6
Joined: Tue Nov 01, 2016 11:02 am

Just installed newest version, still says it's too old

Post by Tatch »

I installed makeMKV 1.10.4, but when I launch it I get an error saying it's too old and I need to register or install the newest version.

What do I do? There's not even an option on the website to register.
d00zah
Posts: 833
Joined: Mon Jun 06, 2016 8:23 pm

Re: Just installed newest version, still says it's too old

Post by d00zah »

A simple search would have told you you are not alone.

From the announcements section...

http://www.makemkv.com/forum2/viewtopic.php?f=5&t=1053

Help > Register > [paste beta key]
Woodstock
Posts: 8076
Joined: Sun Jul 24, 2011 11:21 pm

Re: Just installed newest version, still says it's too old

Post by Woodstock »

But the current beta key is expired... and a week before it normally would.

Until Mike replaces the beta key, you'll have to set your system DATE back to 20 March long enough to start MakeMKV, then you can restore it to the current date.
MakeMKV Frequently Asked Questions
How to aid in finding the answer to your problem: Activating Debug Logging
TheTerrorBeyond
Posts: 81
Joined: Thu Jul 14, 2016 3:08 am

Re: Just installed newest version, still says it's too old

Post by TheTerrorBeyond »

You can permanently correct this problem by purchasing a license. If you use this program regularly, it is only right to buy it... and you won't have to worry about your license again.
Media Server: i7-6800k (6-core processor), 32GB RAM, MSI Carbon Pro board, SAS RAID, liquid cooling, NVIDIA 1080SC, (6) 10TB Barracuda Pro, (4)8TB Barracuda Pro, (1) 6TB Barracuda, (1) 4TB Barracuda, (1) Toshiba 512GB SSD, (1) Intel 256GB Intel M.2 SSD.
ez009
Posts: 1
Joined: Thu Mar 23, 2017 10:48 pm

Re: Just installed newest version, still says it's too old

Post by ez009 »

I love these jerky responses lol. I think a price tag of $50 bucks is a tad high. make it $19.95
Woodstock
Posts: 8076
Joined: Sun Jul 24, 2011 11:21 pm

Re: Just installed newest version, still says it's too old

Post by Woodstock »

If you don't like the price, put up with the need to repeatedly enter a new access key.

It's been discussed multiple times on this forum that the price is the price. If it isn't worth it to you, well, it isn't worth it to you. Mike is not planning on changing the price.
MakeMKV Frequently Asked Questions
How to aid in finding the answer to your problem: Activating Debug Logging
TheShoe
Posts: 74
Joined: Sat Nov 03, 2012 4:37 pm

Re: Just installed newest version, still says it's too old

Post by TheShoe »

ez009 wrote:I love these jerky responses lol. I think a price tag of $50 bucks is a tad high. make it $19.95
you have got to be kidding me.

I paid a long time ago. I'd pay $100 for this and more given that it has literally allowed me to build an awesome online collection of movies etc and with so few issues it's pretty much perfect.

$50 is a bargain.

it's also why i pay for JRiver (Audio) and Plex (non MVC-3D, streaming and transcoding) and donate to Kodi (MVC 3D). each has their uses and on a nice home built HTPC, I have created my own netflix, streamed globally for my enjoyment without restriction; content i want, never disappears.

anyway point is - this is quality software with frequent updates, responsive support, and fills a gap.

one can only hope and pray that both AACS 2.0 is cracked and mike can support mkv creation out of the now growig UHD discs that i have.

but i digress.....
Phurious Rhayge
Posts: 1
Joined: Fri Mar 24, 2017 6:58 pm

Re: Just installed newest version, still says it's too old

Post by Phurious Rhayge »

TheTerrorBeyond wrote:You can permanently correct this problem by purchasing a license. If you use this program regularly, it is only right to buy it... and you won't have to worry about your license again.
Yep. Thanks for the reminder. I've been using it for quite a while and today it was time to pony-up.

Just registered. Well worth the $50.
hkfamily
Posts: 1
Joined: Fri Mar 24, 2017 7:59 pm

Re: Just installed newest version, still says it's too old

Post by hkfamily »

This is happening to me today as well. Do I need to wait for the admin to update the beta??
Thanks
yorgo
Posts: 357
Joined: Sun Jun 05, 2016 5:28 pm
Location: Left of Center

Re: Just installed newest version, still says it's too old

Post by yorgo »

hkfamily wrote:This is happening to me today as well. Do I need to wait for the admin to update the beta??
Thanks
Umm...yes... :roll: ...or you could go throught the trouble of backdating your pc...

Or you could just buy a license and never have to go through the hassle again...
Transporter
Posts: 10
Joined: Mon Mar 13, 2017 4:02 am

Re: Just installed newest version, still says it's too old

Post by Transporter »

Woodstock wrote:But the current beta key is expired... and a week before it normally would.

Until Mike replaces the beta key, you'll have to set your system DATE back to 20 March long enough to start MakeMKV, then you can restore it to the current date.
NOTE TO VORTEXBOX USERS:

If your are getting this error "This application version is to old. Please download the latest version or enter a registration key to continue using the current version." and the new MakeMKV Key has still not been issued yet, try changing the date and time from the CMD Line:

date -s '2017-03-20 02:00:00'

iptables -A INPUT -s 66.241.100.214 -j DROP

This will set the date of the Vortexbox back to 2AM on March 20th when the Key is still good for the current MakeMKV version. NOTE: one does an ENTER/Return at the end of each line (last time I typed return somebody kept typing in the word 'return'). Also the date and time are bracketed by the ' grave mark and not quotation marks. The second line (hat tip MarkDan) prevents the Name Search at the offline IP Address that causes the ripping script to fail.

Lastly note that changing the system time in the BIOS might not work but doing the CMD Line does work for sure. I shutdown my Vortexbox and changed my system time at start-up and it shows that new older date/time in the GUI Window when the ripper initializes, but right before the actual ripping starts it shows the actual current time and the rip fails out with the Key Expired error. I checked the BIOS Date and it was still March 15th were I set it but doing a "date" command with the CMD Line showed the actual current time. So I changed the date and time via the CMD Line and I can currently rip DVDs again.
(O_O)
Posts: 4
Joined: Sat Mar 25, 2017 7:59 pm

Re: Just installed newest version, still says it's too old

Post by (O_O) »

Try installing new version 1.10.5.
mike admin
Posts: 3932
Joined: Wed Nov 26, 2008 2:26 am
Contact:

Re: Just installed newest version, still says it's too old

Post by mike admin »

Woodstock wrote:But the current beta key is expired... and a week before it normally would.

Until Mike replaces the beta key, you'll have to set your system DATE back to 20 March long enough to start MakeMKV, then you can restore it to the current date.
We clearly screwed up with 1.10.4 expiring before 1.10.5 was available, but the current beta key is valid and should work until March 31st 2017. Just triple-checked, please let me know if this is not the case.
Transporter
Posts: 10
Joined: Mon Mar 13, 2017 4:02 am

Re: Just installed newest version, still says it's too old

Post by Transporter »

mike admin wrote: We clearly screwed up with 1.10.4 expiring before 1.10.5 was available, but the current beta key is valid and should work until March 31st 2017. Just triple-checked, please let me know if this is not the case.
DELETED. Right after I posted , I was then able to download 1.10.5, Doh!
steinmb
Posts: 6
Joined: Fri Apr 14, 2017 2:48 pm

Re: Just installed newest version, still says it's too old

Post by steinmb »

Not sure I get this. But also 1.10.5 is expired.

Code: Select all

MakeMKV v1.10.5 darwin(x86-release) started
Optical drive "BD-ROM ASUS SBC-06D2X-U D301d" opened in OS access mode.
Using direct disc access mode
Evaluation period has expired, shareware functionality unavailable.
Failed to open disc
Even it is suppose to not expire before June 22 2017. Any suggestions to how to fix this?
Post Reply